#622 ✓invalid
Geggi

Scriptish not working in Firefox Android 14.0

Reported by Geggi | July 11th, 2012 @ 03:00 AM

Provide the following information:

  1. Your operating system (and version)
    Android 2.3.4

  2. Your browser (and version)
    Firefox for Android 14.0

  3. The version of Scriptish you are using
    0.1.7
    0.1.6

  4. Your language and/or locale (e.g. "en-US")

  5. Clear steps to reproduce the bug (including a reduced-case user script, if applicable)
  6. Any error messages seen in the Error Console
    This add-on is not compatible with this version of Firefox.
    No other useful information I could learn from the error console.

  7. A description of what you expected to happen
    I am able to successfully install Scriptish.

  8. A description of what actually happened
    Message "This add-on is not compatible with this version of Firefox"

I tried to fix the problem by adding the GUID of Firefox Android to install.rdf in scriptish-0.1.6.xpi. This removed the "not compatible" error message, but still, Scriptish could not be installed. I have no idea why it did not work, I could not derive useful information from the error console.
I tried to install v0.1.6 as v0.1.7 is already known not to work in Firefox for Mobile (see ticket 592: https://scriptish.lighthouseapp.com/projects/83146-firefox-extensio...)

Comments and changes to this ticket

  • Geggi

    Geggi July 11th, 2012 @ 07:27 AM

    I was now finally able to force the installation of scriptish 0.1.6 by changing install.rdf in scriptish-0.1.6.xpi.
    Yet, when trying to install a userscript the following message can be found in the error log:

    E/GeckoConsole( 5508): [JavaScript Error: "browser.ExtensionsView is undefined" {file: "resource://scriptish/third-party/fennec/XPIDialogService.js" line: 49}]

  • Erik Vold

    Erik Vold September 22nd, 2012 @ 11:35 AM

    • State changed from “new” to “invalid”
    • Tag set to after-sdk
    • Importance changed from “” to “Low”

    Not supporting Fennec atm, sorry, after the port to the sdk ok!

Please Sign in or create a free account to add a new ticket.

With your very own profile, you can contribute to projects, track your activity, watch tickets, receive and update tickets through your email and much more.

New-ticket Create new ticket

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile ยป

Shared Ticket Bins

People watching this ticket

Tags